== Why is this an issue?

A file that grows too much tends to aggregate too many responsibilities 

and inevitably becomes harder to understand and therefore to maintain. 

Above a specific threshold, it is strongly advised to refactor the file 

into smaller ones which focus on well defined topics.


ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Message

File "XXXX" has {0} functions, which is greater than {1} authorized. Split it into smaller files.


=== Parameters

.maximumFunctionThreshold
****

----
20
----

The maximum number of functions
****


'''
== Comments And Links
(visible only on this page)

=== is related to: S1448

endif::env-github,rspecator-view[]
